Bug 143258 - FILEOPEN: text in shape no displayed
Summary: FILEOPEN: text in shape no displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Textbox-column
  Show dependency treegraph
 
Reported: 2021-07-08 12:07 UTC by Xisco Faulí
Modified: 2021-07-12 11:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Minimal flat ODF reproducer (2.07 KB, application/vnd.oasis.opendocument.presentation)
2021-07-08 15:29 UTC, Mike Kaganski
Details
Even more minimal flat ODF reproducer (1.17 KB, application/vnd.oasis.opendocument.presentation)
2021-07-09 09:47 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-07-08 12:07:28 UTC
Steps to reproduce:
1. Open attachment 56534 [details] from bug 45550

-> The text in the arrow is not there. See comparison

Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: eac5977bfc11797eda356560a5e45c51108ef5a1
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-07-08 12:08:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d0a1616ccad0dd5f5a02c1b0204f537b57d0b4b5

author	Mike Kaganski <mike.kaganski@collabora.com>	2021-05-06 14:14:56 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2021-06-08 14:51:29 +0200
commit d0a1616ccad0dd5f5a02c1b0204f537b57d0b4b5 (patch)
tree f52e71cd8c4f6e2df6dad122d70e28a00d75e2a1
parent 95ebd24a629b4c8cd62cc20c0701683512cc8fa0 (diff)
editengine-columns: Implement layout

Bisected with: bibisect-linux64-7.2

Adding Cc: to Mike Kaganski
Comment 2 Mike Kaganski 2021-07-08 15:29:22 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2021-07-09 09:47:05 UTC
Created attachment 173471 [details]
Even more minimal flat ODF reproducer
Comment 4 Commit Notification 2021-07-11 06:50:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e09f22aa2626267e01b9e759c152f3a0d70ddc68

editengine-columns: tdf#143258 Fix handling rotated text

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-07-12 10:52:20 UTC
Verified in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 61618141f0204ce6653354f6424e11276d939aed
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!
Comment 6 Commit Notification 2021-07-12 11:05:00 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e7cd1cc648c6e2d1c52d03a3ea390e21edc1f63b

editengine-columns: tdf#143258 Fix handling rotated text

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.